Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Interface IConnectionEventListener

All Superinterfaces:
  java.util.EventListener

public interface IConnectionEventListener
extends java.util.EventListener

Implemented by objects that want to find out about connections

Field Summary
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`

Method Summary
`void` | `notifyConnectionAssigned(oracle.apps.cz.cio.Connector c, oracle.apps.cz.cio.Component target)` Called when a connection is established
`void` | `notifyConnectionUnassigned(oracle.apps.cz.cio.Connector c, oracle.apps.cz.cio.Component target)` Called when a connection is broken

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

Method Detail

### notifyConnectionAssigned

    public void notifyConnectionAssigned(oracle.apps.cz.cio.Connector c,
                                         oracle.apps.cz.cio.Component target)

  Called when a connection is established

### notifyConnectionUnassigned

    public void notifyConnectionUnassigned(oracle.apps.cz.cio.Connector c,
                                           oracle.apps.cz.cio.Component target)

  Called when a connection is broken

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.